View Issue Details

IDProjectCategoryView StatusLast Update
0004974gnunet-gtkbuild systempublic2018-06-07 00:24
Reporterng0Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_amd64OSGuixSDOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004974: make: gnunet_setup-gnunet-setup.o: undefinied reference to GNUNET_GETOPT_option_flag
Descriptiongnunet_setup-gnunet-setup.o: In function `main':
/tmp/guix-build-gnunet-gtkg-0.10.1102ad9347.drv-0/source/src/setup/gnunet-setup.c:522: undefined reference to `GNUNET_GETOPT_option_flag'
collect2: error: ld returned 1 exit status
make[4]: *** [Makefile:543: gnunet-setup] Error 1
make[4]: Leaving directory '/tmp/guix-build-gnunet-gtkg-0.10.1102ad9347.drv-0/source/src/setup'
make[3]: *** [Makefile:841: all-recursive] Error 1
make[3]: Leaving directory '/tmp/guix-build-gnunet-gtkg-0.10.1102ad9347.drv-0/source/src/setup'
make[2]: *** [Makefile:410: all-recursive] Error 1
make[2]: Leaving directory '/tmp/guix-build-gnunet-gtkg-0.10.1102ad9347.drv-0/source/src'
make[1]: *** [Makefile:554: all-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-gnunet-gtkg-0.10.1102ad9347.drv-0/source'
make: *** [Makefile:438: all] Error 2
phase `build' failed after 13.7 seconds
builder for `/gnu/store/cj9kcwnaiyw48r2cxjl2cvvycil5559c-gnunet-gtkg-0.10.1102ad9347.drv' failed with exit code 1
@ build-failed /gnu/store/cj9kcwnaiyw48r2cxjl2cvvycil5559c-gnunet-gtkg-0.10.1102ad9347.drv - 1 builder for `/gnu/store/cj9kcwnaiyw48r2cxjl2cvvycil5559c-gnunet-gtkg-0.10.1102ad9347.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/cj9kcwnaiyw48r2cxjl2cvvycil5559c-gnunet-gtkg-0.10.1102ad9347.drv' failed
Additional InformationThe package used is here: https://gitweb.pragmatique.xyz/user/ng0/packages.git/tree/ng0/packages/gnunet.scm#n285

and as line 2 of the package shows, I'm on commit "087f8e166ee6d1fc59a6bd5d05f656528761ede7" of gnunet-gtk, and (line 55 of the file) commit "2ad934742422ecb63fe3fafdc8c73d067a9e2fb7" of gnunet as a dependency is used.
TagsNo tags attached.

Activities

Christian Grothoff

2017-03-27 17:07

manager   ~0011980

Your GNUnet is too old, you need 5a7cef0202631204485cbcb1e36671e4321a936f

Issue History

Date Modified Username Field Change
2017-03-26 13:30 ng0 New Issue
2017-03-27 17:07 Christian Grothoff Note Added: 0011980
2017-03-27 17:07 Christian Grothoff Assigned To => Christian Grothoff
2017-03-27 17:07 Christian Grothoff Status new => resolved
2017-03-27 17:07 Christian Grothoff Resolution open => fixed
2017-03-27 17:07 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-03-27 17:07 Christian Grothoff Product Version => SVN HEAD
2017-03-27 17:07 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed